Package: org.grails.plugins.services

## [Groovy] Class ServiceBeanAliasPostProcessor

- org.grails.plugins.services.ServiceBeanAliasPostProcessor

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.config.BeanFactoryPostProcessor

      @groovy.transform.CompileStatic
      class ServiceBeanAliasPostProcessor
      extends java.lang.Object
      implements org.springframework.beans.factory.config.BeanFactoryPostProcessor

  Registers bean aliases for service beans provided by plugins. If a plugin named ReportingPlugin provides a service artifact named PrintingService, the corresponding bean name will be reportingPrintingService. This post processor will create a printingService alias which points to the reportingPrintingService bean as long as there is not another bean in the context named printingService.

  Since:
    2.3
  Authors:
    Jeff Scott Brown

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ServiceBeanAliasPostProcessor ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### ServiceBeanAliasPostProcessor()

  - ### Method Detail

    - #### @java.lang.Override void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)